textures/0000ikariam/clear_ripple3
	{
		qer_editorimage textures/0000ikariam/clear_ripple3.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformVertexes wave 64 sin .5 .5 0 .5	
		
		{ 
			map textures/liquids/pool3d_5.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/liquids/pool3d_6.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/liquids/pool3d_3.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	

	}

textures/000mistexturas/shader-escalera
{
	qer_editorimage textures/000mistexturas/shader-escalera.jpg
	qer_trans 0.50
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

textures/algiers/algiers_skybox
{
	qer_editorimage textures/lloydmdm2/lmsky2.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	//q3map_sun .5 .37 .19  30 70
	//q3map_sun .5 .37 .19 70 170 40
	q3map_sun .5 .5 .5 110 130 55
	//q3map_surfacelight 80
	q3map_surfacelight 170

        skyparms env/algiers/algierssky - -
	
}

textures/crossing/sw_glass_clear
{
	qer_editorimage textures/crossing/tinfx.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans

	{
		map textures/crossing/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

models/mapobjects/ls_lamp/xorangeflare2_move
{
    cull disable
    deformVertexes move 0.2 0 .3  sin 0 5 0 10
    deformVertexes move 0 0.2 0  sin 0 5 0 13
    deformVertexes autoSprite2
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap

	{
		map models/mapobjects/ls_lamp/xorangeflare2.tga
		blendFunc Add
		rgbGen identity
	}

}

models/mapobjects/br_flowers/green_1
{
	qer_editorimage models/mapobjects/br_flowers/green_1.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	{
		map models/mapobjects/br_flowers/green_1.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

models/mapobjects/br_flowers/green_2
{
	qer_editorimage models/mapobjects/br_flowers/green_2.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	{
		map models/mapobjects/br_flowers/green_2.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

models/mapobjects/br_flowers/purpleflowers_3
{
	qer_editorimage models/mapobjects/br_flowers/purpleflowers_3.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	{
		map models/mapobjects/br_flowers/purpleflowers_3.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

models/mapobjects/br_flowers/yellowrose
{
	qer_editorimage models/mapobjects/br_flowers/yellowrose.tga
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	{
		map models/mapobjects/br_flowers/yellowrose.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

models/mapobjects/ls_lamp/fire_part_1
{
	qer_editorimage textures/common/particle.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move 0.924430 0.685426 26.822762 sawtooth 0 1 0.134037 1.000000
	{
		clampmap models/mapobjects/ls_lamp/fire_part.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 0.134037 1.000000
		rgbGen wave sawtooth 1.000000 -1.000000 0.134037 1.000000
		tcMod stretch sawtooth 0.500000 0.500000 0.134037 1.000000
		blendfunc add
	}
}

models/mapobjects/ls_lamp/fire_part_2
{
	qer_editorimage textures/common/particle.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -3.705168 1.954794 30.767540 sawtooth 0 1 1.972350 1.000000
	{
		clampmap models/mapobjects/ls_lamp/fire_part.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 1.972350 1.000000
		rgbGen wave sawtooth 1.000000 -1.000000 1.972350 1.000000
		tcMod stretch sawtooth 0.500000 0.500000 1.972350 1.000000
		blendfunc add
	}
}

models/mapobjects/ls_lamp/fire_part_3
{
	qer_editorimage textures/common/particle.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -11.168854 1.342272 32.032078 sawtooth 0 1 0.045595 1.000000
	{
		clampmap models/mapobjects/ls_lamp/fire_part.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 0.045595 1.000000
		rgbGen wave sawtooth 1.000000 -1.000000 0.045595 1.000000
		tcMod stretch sawtooth 0.500000 0.500000 0.045595 1.000000
		blendfunc add
	}
}

models/mapobjects/ls_lamp/fire_part_4
{
	qer_editorimage textures/common/particle.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -3.563911 -0.722614 31.911339 sawtooth 0 1 0.133366 1.000000
	{
		clampmap models/mapobjects/ls_lamp/fire_part.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 0.133366 1.000000
		rgbGen wave sawtooth 1.000000 -1.000000 0.133366 1.000000
		tcMod stretch sawtooth 0.500000 0.500000 0.133366 1.000000
		blendfunc add
	}
}

models/mapobjects/ls_lamp/fire_part_5
{
	qer_editorimage textures/common/particle.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -3.213911 3.231058 28.008690 sawtooth 0 1 0.746300 1.000000
	{
		clampmap models/mapobjects/ls_lamp/fire_part.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 0.746300 1.000000
		rgbGen wave sawtooth 1.000000 -1.000000 0.746300 1.000000
		tcMod stretch sawtooth 0.500000 0.500000 0.746300 1.000000
		blendfunc add
	}
}

models/mapobjects/ls_lamp/fire_part_6
{
	qer_editorimage textures/common/particle.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move 0.585745 3.089933 33.369202 sawtooth 0 1 1.648610 1.000000
	{
		clampmap models/mapobjects/ls_lamp/fire_part.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 1.648610 1.000000
		rgbGen wave sawtooth 1.000000 -1.000000 1.648610 1.000000
		tcMod stretch sawtooth 0.500000 0.500000 1.648610 1.000000
		blendfunc add
	}
}

models/mapobjects/ls_lamp/fire_part_7
{
	qer_editorimage textures/common/particle.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -4.290425 -7.354770 26.323200 sawtooth 0 1 0.367138 1.000000
	{
		clampmap models/mapobjects/ls_lamp/fire_part.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 0.367138 1.000000
		rgbGen wave sawtooth 1.000000 -1.000000 0.367138 1.000000
		tcMod stretch sawtooth 0.500000 0.500000 0.367138 1.000000
		blendfunc add
	}
}

models/mapobjects/ts-torch01/fire01
{
	cull disable
	{
		animmap 8 models/mapobjects/ts-torch01/fire01.tga models/mapobjects/ts-torch01/fire03.tga models/mapobjects/ts-torch01/fire05.tga models/mapobjects/ts-torch01/fire07.tga models/mapobjects/ts-torch01/fire09.tga models/mapobjects/ts-torch01/fire11.tga models/mapobjects/ts-torch01/fire13.tga models/mapobjects/ts-torch01/fire15.tga 
		blendfunc add
		rgbGen wave inversesawtooth 0 1 0 8 
	}
	{
		animmap 8 models/mapobjects/ts-torch01/fire02.tga models/mapobjects/ts-torch01/fire04.tga models/mapobjects/ts-torch01/fire06.tga models/mapobjects/ts-torch01/fire08.tga models/mapobjects/ts-torch01/fire10.tga models/mapobjects/ts-torch01/fire11.tga models/mapobjects/ts-torch01/fire14.tga models/mapobjects/ts-torch01/fire16.tga 
		blendfunc add
		rgbGen wave sawtooth 0 1 0 8 
	}
}

models/mapobjects/ts-torch01/torch
{
	{
		map models/mapobjects/ts-torch01/blood.tga
		blendfunc blend
		rgbGen identity
		tcMod scroll 0 0.1
	}
	{
		map models/mapobjects/ts-torch01/torch.tga
		rgbGen Vertex
		alphaFunc GE128
	}
	{
		map models/mapobjects/ts-torch01/torch-g.tga
		blendfunc add
		rgbGen wave sin 0.25 0.75 0 0.3 
	}
}